%global django_version 1.7.0
%global typeshed_commit     ae9d4f4b21bb5e1239816c301da7b1ea904b44c3

Summary:        An auto completion tool for Python that can be used for text editors
Name:           python-jedi
Version:        0.19.0
Release:        4%{?dist}
License:        MIT and ASL 2.0
URL:            https://jedi.readthedocs.org
Source0:        https://github.com/davidhalter/jedi/archive/v%{version}/jedi-%{version}.tar.gz
Source1:        https://github.com/davidhalter/django-stubs/archive/refs/tags/%{django_version}.tar.gz
Source2:        https://github.com/davidhalter/typeshed/archive/%{typeshed_commit}/typeshed-%{typeshed_commit}.tar.gz

BuildArch:      noarch

%description
Jedi is a static analysis tool for Python that is typically used in
IDEs/editors plugins. Jedi has a focus on autocompletion and goto
functionality. Other features include refactoring, code search and
finding references.

%package -n python3-jedi
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-parso
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-attrs
BuildRequires:  python3-colorama
Provides:       bundled(python3dist(django-stubs)) = %{django_version}
Provides:       bundled(typeshed) = %{typeshed_commit}

%description -n python3-jedi
Jedi is a static analysis tool for Python that is typically used in
IDEs/editors plugins. Jedi has a focus on autocompletion and goto
functionality. Other features include refactoring, code search and
finding references.


%prep
%autosetup -n jedi-%{version}

pushd jedi/third_party
rmdir django-stubs typeshed
tar xf %{SOURCE1} && mv django-stubs-%{django_version} django-stubs
tar xf %{SOURCE2} && mv typeshed-%{typeshed_commit} typeshed
popd
cp -p jedi/third_party/django-stubs/LICENSE.txt LICENSE-django-stubs.txt
cp -p jedi/third_party/typeshed/LICENSE LICENSE-typeshed.txt


sed -e 's/pytest<7.0.0/pytest/' \
    -e 's/Django<3.1/Django/' \
    -i setup.py


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jedi

%check
%pytest -k "\
    not test_venv_and_pths and \
    not test_compiled_signature and \
    not test_find_system_environments and \
    not test_import"

%files -n python3-jedi -f %{pyproject_files}
%doc CHANGELOG.rst README.rst


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Thu Aug 29 2024 Yi Lin <nilusyi@tencent.com> - 0.19.0-3
- remove auto buildrequires used, which import unused requires: python3-django

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19.0-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 0.19.0-1
- update to 0.19.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 30 2022 cunshunxia <cunshunxia@tencent.com> - 0.18.2-1
- initial build
